// insanity shader file
textures/insanity/ladder
{
	qer_editorimage textures/common/ladder.tga
	qer_trans .40
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}
textures/insanity/black
{
	qer_editorimage textures/common/nolightmap.tga
	surfaceparm nolightmap
	{
		map $whiteimage
		rgbGen const ( 0 0 0 )
	}
}

textures/insanity/red
{
	qer_editorimage textures/common/nolightmap.tga
	surfaceparm nolightmap
	{
		map $whiteimage
		rgbGen const ( 1 0 0 )
	}
}

textures/insanity/white
{
	qer_editorimage textures/arachnid2/white.tga
	surfaceparm nolightmap
	{
		map $whiteimage
		rgbGen const ( 1 1 1 )
	}
}

textures/insanity/white_50k
{
	qer_editorimage textures/arachnid2/white.tga
	surfaceparm nolightmap
	q3map_surfacelight 50000
	{
		map $whiteimage
		rgbGen const ( 1 1 1 )
	}
}

textures/insanity/white_5k
{
	qer_editorimage textures/arachnid2/white.tga
	surfaceparm nolightmap
	q3map_surfacelight 5000
	{
		map $whiteimage
		rgbGen const ( 1 1 1 )
	}
}

textures/insanity/hologram
{
	qer_editorimage textures/arachnid2/white.tga
	surfaceparm nolightmap
	surfaceparm trans
	{
		map $whiteimage
		rgbGen const ( 0.25 0.25 0.25 )
		blendFunc add
	}
}

textures/insanity/distancefog
{
	fogParms ( 0.8 0.8 0.8 ) 1024

	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	qer_trans 0.4
}

textures/insanity/fan_s
{
	qer_editorimage textures/arachnid2/fan.tga
	surfaceparm trans
	qer_trans 0.5
	cull none
	{
		clampmap textures/arachnid2/fan.tga
		tcMod rotate 250
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

textures/insanity/fan_shadow_s
{
	qer_editorimage textures/arachnid2/fan_shadow.jpg
	polygonOffset
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	nopicmip
	qer_trans 0.75
	{
		clampmap textures/arachnid2/fan_shadow.jpg
		tcMod rotate 250
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
	}
}

textures/insanity/grate_s
{
	qer_editorimage textures/arachnid2/e6bsegrtflr256.tga
	
	surfaceparm alphashadow
	surfaceparm metalsteps		
	cull none
	{
		map textures/arachnid2/e6bsegrtflr256.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		depthFunc equal
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		depthFunc equal
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/blackwall_nonsolid
{
	qer_editorimage textures/arachnid2/blackwall.tga
	surfaceparm nonsolid

	{
		map textures/insanity/trem2ref.jpg
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/arachnid2/blackwall.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/flat_dk
{
	qer_editorimage textures/arachnid2/flat_dk.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/flat_dk.tga
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e8cretefloor01c
{
	qer_editorimage textures/arachnid2/e8cretefloor01c.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/e8cretefloor01c.tga
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e6q3support
{
	qer_editorimage textures/arachnid2/e6q3support.tga
	q3map_shadeangle 179

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/e6q3support.tga
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e8support06c
{
	qer_editorimage textures/arachnid2/e8support06c.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/e8support06c.tga
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}


textures/insanity/dirt_1
{
	qer_editorimage textures/arachnid2/dirt_1.tga
	q3map_shadeangle 120

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/dirt_1.tga
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/dirt_2
{
	qer_editorimage textures/insanity/dirt_2_shaderimage.tga
	polygonOffset
	q3map_shadeangle 120

	{
		map textures/insanity/dirt_2.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
		depthFunc equal
	}
}

textures/insanity/e6dmetal
{
	qer_editorimage textures/arachnid2/e6dmetal.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/e6dmetal.tga
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e6dmetalwarn
{
	qer_editorimage textures/insanity/e6dmetalwarn.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/insanity/e6dmetalwarn.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e6drstmetal_b
{
	qer_editorimage textures/arachnid2/e6drstmetal_b.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/e6drstmetal_b.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e6drstmetal
{
	qer_editorimage textures/arachnid2/e6drstmetal.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/e6drstmetal.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e6drstmetal_dynlight
{
	qer_editorimage textures/arachnid2/e6drstmetal.tga
	surfaceparm nolightmap
	{
		map textures/arachnid2/e6drstmetal.tga
		rgbGen const ( 0.20 0.20 0.20 )
	}
	{
		map textures/insanity/trem2ref.jpg
		rgbGen const ( 0.20 0.20 0.20 )
		tcGen environment
		blendFunc add
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e8warning256
{
	qer_editorimage textures/arachnid2/e8warning256.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/e8warning256.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e8warning256_dynlight
{
	qer_editorimage textures/arachnid2/e8warning256.tga
	surfaceparm nolightmap
	{
		map textures/arachnid2/e8warning256.tga
		rgbGen const ( 0.20 0.20 0.20 )
	}
	{
		map textures/insanity/trem2ref.jpg
		rgbGen const ( 0.20 0.20 0.20 )
		tcGen environment
		blendFunc add
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e6dmetal_pipe
{
	qer_editorimage textures/arachnid2/e6dmetal.tga

	{
		map textures/insanity/trem2ref.jpg
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/arachnid2/e6dmetal.tga
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e6dmetalwarn_pipe
{
	qer_editorimage textures/insanity/e6dmetalwarn.tga

	{
		map textures/insanity/trem2ref.jpg
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/insanity/e6dmetalwarn.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e6drstmetal_b_pipe
{
	qer_editorimage textures/arachnid2/e6drstmetal_b.tga

	{
		map textures/insanity/trem2ref.jpg
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/arachnid2/e6drstmetal_b.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e6drstmetal_pipe
{
	qer_editorimage textures/arachnid2/e6drstmetal.tga

	{
		map textures/insanity/trem2ref.jpg
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/arachnid2/e6drstmetal.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e8warning256_pipe
{
	qer_editorimage textures/arachnid2/e8warning256.tga

	{
		map textures/insanity/trem2ref.jpg
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/arachnid2/e8warning256.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/big-blue-cement
{
	qer_editorimage textures/arachnid2/big-blue-cement.jpg

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/big-blue-cement.jpg
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/cement_1_clean
{
	qer_editorimage textures/arachnid2/cement_1_clean.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/cement_1_clean.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/cement_1_gunky
{
	qer_editorimage textures/arachnid2/cement_1_gunky.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/cement_1_gunky.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e8_base1
{
	qer_editorimage textures/insanity/e8_base1.tga
	q3map_shadeangle 180
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/insanity/e8_base1.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e8_base1red
{
	qer_editorimage textures/insanity/e8_base1red.tga
	q3map_shadeangle 180
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/insanity/e8_base1red.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e8_base1white
{
	qer_editorimage textures/insanity/e8_base1white.tga
	q3map_shadeangle 180
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/insanity/e8_base1white.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/dark_metal
{
	qer_editorimage textures/arachnid2/dark_metal.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/dark_metal.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e6l_floor
{
	qer_editorimage textures/arachnid2/e6l_floor.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/e6l_floor.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e6tekmtlrflr
{
	qer_editorimage textures/arachnid2/e6tekmtlrflr.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/e6tekmtlrflr.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/e6cyb0rpipes
{
	qer_editorimage textures/arachnid2/e6cyb0rpipes.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/e6cyb0rpipes.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/metal-red
{
	qer_editorimage textures/arachnid2/metal-red.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/metal-red.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/metal-red_pipe
{
	qer_editorimage textures/arachnid2/metal-red.tga

	{
		map textures/insanity/trem2ref.jpg
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/arachnid2/metal-red.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/metal-red-dots
{
	qer_editorimage textures/arachnid2/metal-red-dots.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/metal-red-dots.tga
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/ship_tex
{
	qer_editorimage textures/insanity/ship_tex.jpg

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/insanity/ship_tex.jpg
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/glass_02_s
{
	qer_editorimage textures/arachnid2/001metal.jpg
	qer_trans 0.5

	q3map_bounceScale 5.0

//	surfaceparm trans
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/arachnid2/001metal.jpg
		blendFunc filter
	}
	{
		map textures/insanity/trem2ref.jpg
		rgbGen const ( 0.25 0.25 0.25 )
		blendFunc add
		tcGen environment
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/lightbeamgrate1_s
{
	qer_editorimage textures/insanity/lightbeamgrate1.jpg
	polygonOffset
	sort 9
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	noPicMip
	{
		clampmap textures/insanity/lightbeamgrate1.jpg
		rgbGen const ( 0.05 0.05 0.05 )
		blendFunc add
		alphaGen lightingSpecular
	}
}


textures/insanity/lightbeam1_s
{
	qer_editorimage textures/insanity/lightbeam1.jpg
	polygonOffset
	sort 9
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	noPicMip
	{
		clampmap textures/insanity/lightbeam1.jpg
		rgbGen const ( 0.05 0.05 0.05 )
		blendFunc add
		alphaGen lightingSpecular
	}
}

textures/insanity/lightbeam1_s_bright
{
	qer_editorimage textures/insanity/lightbeam1.jpg
	q3map_fur 3 -2 0.5
	polygonOffset
	sort 9
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	noPicMip
	{
		clampmap textures/insanity/lightbeam1.jpg
		rgbGen const ( 0.25 0.25 0.25 )
		blendFunc add
		alphaGen lightingSpecular
	}
}

textures/insanity/lightbeam2_s_bright
{
	qer_editorimage textures/insanity/lightbeam2.jpg
	q3map_fur 3 -2 0.5
	polygonOffset
	sort 9
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	noPicMip
	{
		clampmap textures/insanity/lightbeam2.jpg
		rgbGen const ( 0.25 0.25 0.25 )
		blendFunc add
		alphaGen lightingSpecular
	}
}

textures/insanity/lightbeam2_s_bright_nofur
{
	qer_editorimage textures/insanity/lightbeam2.jpg
	polygonOffset
	sort 9
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	noPicMip
	{
		clampmap textures/insanity/lightbeam2.jpg
		rgbGen const ( 0.25 0.25 0.25 )
		blendFunc add
		alphaGen lightingSpecular
	}
}

textures/insanity/e6horzlight_5k
{
	qer_editorimage textures/arachnid2/e6horzlight.jpg

	q3map_surfacelight 2500
	q3map_lightImage textures/arachnid2/e6horzlight_blend.jpg	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arachnid2/e6horzlight.jpg
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/arachnid2/e6horzlight_blend.jpg
		blendFunc add
	}
}

textures/insanity/cubelight_32_red_s
{
	qer_editorimage textures/insanity/cubelight_32_red.jpg
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightImage textures/insanity/cubelight_32_red.blend.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/insanity/cubelight_32_red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/insanity/cubelight_32_red.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}


textures/insanity/cubelight_32_white_s
{
	qer_editorimage textures/insanity/cubelight_32_white.jpg
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/insanity/cubelight_32_white.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/insanity/cubelight_32_white.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/insanity/cubelight_32_red_s_nolight
{
	qer_editorimage textures/insanity/cubelight_32_red.jpg
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/insanity/cubelight_32_red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/insanity/cubelight_32_red.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}


textures/insanity/cubelight_32_white_s_nolight
{
	qer_editorimage textures/insanity/cubelight_32_white.jpg
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/insanity/cubelight_32_white.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/insanity/cubelight_32_white.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/insanity/goo_blue_s
{
	qer_editorimage textures/insanity/goo_blue.jpg

	q3map_surfacelight 2000
	q3map_lightimage textures/insanity/goo_blue.jpg

	surfaceparm nolightmap

	{
		map textures/insanity/goo_blue.jpg
		tcMod turb 0 0.2 0.1 0.2
		tcMod scroll 0 -0.5
		rgbGen const ( 0.3 0.5 07 )
		blendFunc add
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/goo_green_s
{
	qer_editorimage textures/insanity/goo_green.jpg

	q3map_surfacelight 200
	q3map_lightimage textures/insanity/goo_green.jpg

	surfaceparm nolightmap

	{
		map textures/insanity/goo_green.jpg
		tcMod turb 0 0.2 0.1 0.2
		tcMod scroll 0.5 0
		rgbGen identity
		blendFunc add
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

textures/insanity/bubble_blue_s
{
	qer_editorimage gfx/sprites/bubble.jpg

	sort underwater
	cull none
	entityMergable

	{
		map gfx/sprites/bubble.jpg
		rgbGen    const ( 0.7 0.7 1 )
		alphaGen  vertex
		blendFunc add
	}
}

textures/insanity/bubble_green_s
{
	qer_editorimage gfx/sprites/bubble.jpg

	sort underwater
	cull none
	entityMergable

	{
		map gfx/sprites/bubble.jpg
		rgbGen    const ( 0.7 1 0.7 )
		alphaGen  vertex
		blendFunc add
	}
}

textures/insanity/trembru
{
	qer_editorimage textures/insanity/trembru.jpg
	q3map_surfaceLight 1000
	{
		map textures/insanity/trembru.jpg
		rgbGen identity
	}
}

//
// models
//

// computer
textures/insanity/computer
{
	qer_editorimage textures/insanity/computer.tga
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/insanity/computer.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/insanity/computer.blend.tga
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

// dropship
models/insanity/dropship_s
{
	qer_editorimage models/insanity/dropship.jpg

	{
		map textures/insanity/trem2ref.jpg
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
	{
		map models/insanity/dropship.jpg
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

models/insanity/laser_s
{
	cull disable
	surfaceparm nonSolid
	{
		map models/insanity/laser.jpg
		blendFunc add
		rgbGen lightingDiffuse
	}
}

models/insanity/engwin_s
{
	{
		map models/insanity/dropship_bits.jpg
		rgbgen identity
	}
}

models/insanity/backdoor_s
{
	{
		map textures/insanity/trem2ref.jpg
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
	{
		map models/insanity/dropship.jpg
		rgbGen identity
		blendFunc filter
	}
	{
		map models/insanity/dropship_bits.jpg
		blendFunc add
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}

// ceiling light
textures/insanity/ceillight
{
	qer_editorimage textures/insanity/ceillight.jpg
	q3map_lightmapFilterRadius 0 10
	q3map_lightImage textures/insanity/ceillight.blend.jpg
	q3map_surfaceLight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/insanity/ceillight.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/insanity/ceillight.blend.jpg
		blendFunc add
	}
	{
		map textures/insanity/detailnoise.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		tcMod scale 9.1 9.2
	}
}
